Track the current state of the Xml parse operation.

author | Bryan Davis
version | $Id$
access | public
package | phing.parser

### Methods

## Constructor

    __construct($project)

### Parameters

#### $project

the project to which this antxml context belongs to

## addImport()

    addImport($file)

### Parameters

#### $file

## endConfigure()

    endConfigure()

## getConfigurator()

    getConfigurator()

## getImportStack()

    getImportStack()

## find out the project to which this context belongs

    getProject() : \project

### Returns

`\project`

## startConfigure()

    startConfigure($cfg)

### Parameters

#### $cfg

### Properties

##

    $configurators

##

    $importStack

##

    $project